package Bencher::ScenarioR::PERLANCARParseArithmetic::parse_arithmetic;

our $VERSION = 0.006; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        dataset     => "1+1+..+1 (1000x)",
        errors      => 0.00024,
        participant => "PERLANCAR::Parse::Arithmetic::Pegex::parse_arithmetic",
        rate        => 17,
        samples     => 20,
        time        => 58,
        vs_slowest  => 1,
      },
      {
        dataset     => "1+1+..+1 (500x)",
        errors      => 0.00016,
        participant => "PERLANCAR::Parse::Arithmetic::Pegex::parse_arithmetic",
        rate        => 33,
        samples     => 20,
        time        => 30,
        vs_slowest  => 1.9,
      },
      {
        dataset     => "1+1+..+1 (200x)",
        errors      => 0.00011,
        participant => "PERLANCAR::Parse::Arithmetic::Pegex::parse_arithmetic",
        rate        => 70,
        samples     => 21,
        time        => 14,
        vs_slowest  => 4.1,
      },
      {
        dataset     => "1+1+..+1 (1000x)",
        errors      => 0.00014,
        participant => "PERLANCAR::Parse::Arithmetic::Marpa::parse_arithmetic",
        rate        => 80,
        samples     => 20,
        time        => 10,
        vs_slowest  => 4,
      },
      {
        dataset     => "1+1+..+1 (100x)",
        errors      => 0.00013,
        participant => "PERLANCAR::Parse::Arithmetic::Pegex::parse_arithmetic",
        rate        => 100,
        samples     => 20,
        time        => 10,
        vs_slowest  => 6,
      },
      {
        dataset     => "1+1+..+1 (500x)",
        errors      => 0.0001,
        participant => "PERLANCAR::Parse::Arithmetic::Marpa::parse_arithmetic",
        rate        => 200,
        samples     => 20,
        time        => 6,
        vs_slowest  => 9,
      },
      {
        dataset     => "1+1+..+1 (20x)",
        errors      => 4.6e-05,
        participant => "PERLANCAR::Parse::Arithmetic::Pegex::parse_arithmetic",
        rate        => 190,
        samples     => 20,
        time        => 5.1,
        vs_slowest  => 11,
      },
      {
        dataset     => "1+1+..+1 (10x)",
        errors      => 4.9e-05,
        participant => "PERLANCAR::Parse::Arithmetic::Pegex::parse_arithmetic",
        rate        => 200,
        samples     => 20,
        time        => 5,
        vs_slowest  => 10,
      },
      {
        dataset     => "1+1+1+1+1",
        errors      => 5.7e-05,
        participant => "PERLANCAR::Parse::Arithmetic::Pegex::parse_arithmetic",
        rate        => 200,
        samples     => 20,
        time        => 4,
        vs_slowest  => 10,
      },
      {
        dataset     => "1+1",
        errors      => 5e-06,
        participant => "PERLANCAR::Parse::Arithmetic::Pegex::parse_arithmetic",
        rate        => 240,
        samples     => 20,
        time        => 4.2,
        vs_slowest  => 14,
      },
      {
        dataset     => "1+1+..+1 (1000x)",
        errors      => 7.8e-05,
        participant => "PERLANCAR::Parse::Arithmetic::NoHash::parse_arithmetic",
        rate        => 200,
        samples     => 23,
        time        => 4,
        vs_slowest  => 10,
      },
      {
        dataset     => "1+1+..+1 (1000x)",
        errors      => 3.8e-06,
        participant => "PERLANCAR::Parse::Arithmetic::parse_arithmetic",
        rate        => 244,
        samples     => 20,
        time        => 4.1,
        vs_slowest  => 14.2,
      },
      {
        dataset     => 1,
        errors      => 2e-05,
        participant => "PERLANCAR::Parse::Arithmetic::Pegex::parse_arithmetic",
        rate        => 240,
        samples     => 20,
        time        => 4.1,
        vs_slowest  => 14,
      },
      {
        dataset     => "1+1+..+1 (200x)",
        errors      => 6.9e-06,
        participant => "PERLANCAR::Parse::Arithmetic::Marpa::parse_arithmetic",
        rate        => 370,
        samples     => 20,
        time        => 2.7,
        vs_slowest  => 22,
      },
      {
        dataset     => "1+1+..+1 (500x)",
        errors      => 1.6e-05,
        participant => "PERLANCAR::Parse::Arithmetic::parse_arithmetic",
        rate        => 510,
        samples     => 20,
        time        => 2,
        vs_slowest  => 30,
      },
      {
        dataset     => "1+1+..+1 (500x)",
        errors      => 1.1e-05,
        participant => "PERLANCAR::Parse::Arithmetic::NoHash::parse_arithmetic",
        rate        => 550,
        samples     => 20,
        time        => 1.8,
        vs_slowest  => 32,
      },
      {
        dataset     => "1+1+..+1 (100x)",
        errors      => 1.1e-05,
        participant => "PERLANCAR::Parse::Arithmetic::Marpa::parse_arithmetic",
        rate        => 620,
        samples     => 21,
        time        => 1.6,
        vs_slowest  => 36,
      },
      {
        dataset     => "1+1+..+1 (200x)",
        errors      => 6.9e-07,
        participant => "PERLANCAR::Parse::Arithmetic::parse_arithmetic",
        rate        => 1380,
        samples     => 20,
        time        => 0.723,
        vs_slowest  => 80.4,
      },
      {
        dataset     => "1+1+..+1 (200x)",
        errors      => 2.7e-07,
        participant => "PERLANCAR::Parse::Arithmetic::NoHash::parse_arithmetic",
        rate        => 1490,
        samples     => 20,
        time        => 0.672,
        vs_slowest  => 86.6,
      },
      {
        dataset     => "1+1+..+1 (20x)",
        errors      => 4.3e-07,
        participant => "PERLANCAR::Parse::Arithmetic::Marpa::parse_arithmetic",
        rate        => 1600,
        samples     => 20,
        time        => 0.626,
        vs_slowest  => 93,
      },
      {
        dataset     => "1+1+..+1 (10x)",
        errors      => 1.2e-06,
        participant => "PERLANCAR::Parse::Arithmetic::Marpa::parse_arithmetic",
        rate        => 1700,
        samples     => 20,
        time        => 0.58,
        vs_slowest  => 100,
      },
      {
        dataset     => "1+1+1+1+1",
        errors      => 2.6e-07,
        participant => "PERLANCAR::Parse::Arithmetic::Marpa::parse_arithmetic",
        rate        => 1960,
        samples     => 21,
        time        => 0.51,
        vs_slowest  => 114,
      },
      {
        dataset     => "1+1",
        errors      => 4.8e-07,
        participant => "PERLANCAR::Parse::Arithmetic::Marpa::parse_arithmetic",
        rate        => 2200,
        samples     => 20,
        time        => 0.46,
        vs_slowest  => 130,
      },
      {
        dataset     => 1,
        errors      => 4.8e-07,
        participant => "PERLANCAR::Parse::Arithmetic::Marpa::parse_arithmetic",
        rate        => 2300,
        samples     => 20,
        time        => 0.43,
        vs_slowest  => 130,
      },
      {
        dataset     => "1+1+..+1 (100x)",
        errors      => 2.4e-07,
        participant => "PERLANCAR::Parse::Arithmetic::parse_arithmetic",
        rate        => 2460,
        samples     => 25,
        time        => 0.406,
        vs_slowest  => 143,
      },
      {
        dataset     => "1+1+..+1 (100x)",
        errors      => 8.5e-07,
        participant => "PERLANCAR::Parse::Arithmetic::NoHash::parse_arithmetic",
        rate        => 2700,
        samples     => 23,
        time        => 0.37,
        vs_slowest  => 160,
      },
      {
        dataset     => "1+1+..+1 (20x)",
        errors      => 1.2e-07,
        participant => "PERLANCAR::Parse::Arithmetic::parse_arithmetic",
        rate        => 12000,
        samples     => 26,
        time        => 0.084,
        vs_slowest  => 690,
      },
      {
        dataset     => "1+1+..+1 (20x)",
        errors      => 8e-08,
        participant => "PERLANCAR::Parse::Arithmetic::NoHash::parse_arithmetic",
        rate        => 13000,
        samples     => 20,
        time        => 0.079,
        vs_slowest  => 740,
      },
      {
        dataset     => "1+1+..+1 (10x)",
        errors      => 8.4e-07,
        participant => "PERLANCAR::Parse::Arithmetic::parse_arithmetic",
        rate        => 20000,
        samples     => 20,
        time        => 0.04,
        vs_slowest  => 1000,
      },
      {
        dataset     => "1+1+..+1 (10x)",
        errors      => 1.1e-07,
        participant => "PERLANCAR::Parse::Arithmetic::NoHash::parse_arithmetic",
        rate        => 25000,
        samples     => 20,
        time        => 0.04,
        vs_slowest  => 1400,
      },
      {
        dataset     => "1+1+1+1+1",
        errors      => 2e-08,
        participant => "PERLANCAR::Parse::Arithmetic::parse_arithmetic",
        rate        => 45500,
        samples     => 20,
        time        => 0.022,
        vs_slowest  => 2650,
      },
      {
        dataset     => "1+1+1+1+1",
        errors      => 6.7e-09,
        participant => "PERLANCAR::Parse::Arithmetic::NoHash::parse_arithmetic",
        rate        => 49400,
        samples     => 20,
        time        => 0.0202,
        vs_slowest  => 2870,
      },
      {
        dataset     => "1+1",
        errors      => 1.4e-07,
        participant => "PERLANCAR::Parse::Arithmetic::parse_arithmetic",
        rate        => 100000,
        samples     => 20,
        time        => 0.009,
        vs_slowest  => 6000,
      },
      {
        dataset     => "1+1",
        errors      => 1.2e-11,
        participant => "PERLANCAR::Parse::Arithmetic::NoHash::parse_arithmetic",
        rate        => 114260,
        samples     => 20,
        time        => 0.0087517,
        vs_slowest  => 6648.7,
      },
      {
        dataset     => 1,
        errors      => 8.3e-09,
        participant => "PERLANCAR::Parse::Arithmetic::NoHash::parse_arithmetic",
        rate        => 210000,
        samples     => 20,
        time        => 0.0048,
        vs_slowest  => 12000,
      },
      {
        dataset     => 1,
        errors      => 6.7e-09,
        participant => "PERLANCAR::Parse::Arithmetic::parse_arithmetic",
        rate        => 220000,
        samples     => 20,
        time        => 0.0045,
        vs_slowest  => 13000,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "PERLANCARParseArithmetic::parse_arithmetic",
                                          },
      "func.bencher_version"           => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 2812.523,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 2814.109,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2737.109,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 2863.546,
                                              stepping                     => 4,
                                            },
                                          ],
      "func.elapsed_time"              => 4.77318596839905,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "__PACKAGE__" => 1.034,
                                            "Bencher::Scenario::PERLANCARParseArithmetic::parse_arithmetic" => undef,
                                            "Benchmark::Dumb" => "0.10",
                                            "Devel::Platform::Info" => 0.16,
                                            "perl" => "v5.24.0",
                                            "PERLANCAR::Parse::Arithmetic" => 0.004,
                                            "PERLANCAR::Parse::Arithmetic::Marpa" => 0.004,
                                            "PERLANCAR::Parse::Arithmetic::NoHash" => 0.004,
                                            "PERLANCAR::Parse::Arithmetic::Pegex" => 0.004,
                                            "Sys::Info" => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 3], "dataset", [0 .. 8]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "rosa",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.19.0-32-generic",
                                            kname    => "Linux",
                                            kvers    => "3.19.0-32-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 17.3,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                          "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.19.0-32-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::PERLANCARParseArithmetic::parse_arithmetic",
      "func.scenario_module_md5sum"    => "90c5a51846acc2549795d03a939f3724",
      "func.scenario_module_mtime"     => 1466508741,
      "func.scenario_module_sha1sum"   => "43c0f745062a61e37cecf7e342f202f5d1a9c6c9",
      "func.scenario_module_sha256sum" => "2710a9c5938cbd12eec962953dcffaddf4c16ba56b91d1df55087cf43306c212",
      "func.time_end"                  => 1485331623.36627,
      "func.time_factor"               => 1000,
      "func.time_start"                => 1485331618.59309,
      "table.field_aligns"             => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, undef, "/s", "ms"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark parse_arithmetic()

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

